/**
* Carlos O. Rios (gth700w)
* Collaboration Statement: I worked on the homework assignment alone, using only course materials.
*/

import java.util.Random;

/**
* Summary: This method creates objects from the player's and computer's choices.
* A set of conditionals are made for every possible combination of choices, with results for each conditional.
*
* @author Carlos O. Rios (gth700w)
* @version 1.0
*/

public class Round
{
	//Setting these variables as private so that 
	private String playerChoice, computerChoice;
	private String result;
	
	//Constructing the player's and computer's choices as object to use in the conditionals
	public Round(String playerChoice, String computerChoice)
	{
		this.playerChoice = playerChoice;
		this.computerChoice = computerChoice;
	}
		//This set of conditionals compares the player and computer choices, with the result displayed as a result.
		public String outcome()
		{
		//Setting up the winning conditions for the player.
		if ((playerChoice == "Rock")&&(computerChoice == "Scissors"))
			{
				result="You Win";
			}
		else
			{
			if ((playerChoice == "Paper")&&(computerChoice == "Rock"))
				{
					result="You Win";
				}
				else
				{
					if ((playerChoice == "Scissors")&&(computerChoice == "Paper"))
					{
						result="You Win";
					}
					//Setting up the tie conditions
					else
					{
						if ((playerChoice == "Rock")&&(computerChoice == "Rock"))
						{
							result="Tie";
						}
						else
						{
							if ((playerChoice == "Paper")&&(computerChoice == "Paper"))
						{
							result="Tie";
						}
						else
						{
							if ((playerChoice == "Scissors")&&(computerChoice == "Scissors"))
							{
								result="Tie";
							}
							//With winning and tie conditions set, the other results will be losing conditions for the
							// player, hence why it is all thrown into "else" at this stage of the conditional.
							else
							{
								result="You Lose";
							}
						}
					}
				}
			}
		}
			
		//Returning the win, tie, or lose result as a string.
		return result;
	}

	//Returning the player's choice as a string so that it can be used by RpsPanel's event listener
	public String getPlayerChoice()
	{
		return playerChoice;
	}

	//Returning the computer's choice as a string so that it can be used by RpsPanel's event listener	
	public String getComputerChoice()
	{
		return computerChoice;
	}

}